Skip to main content

Notifications

Tags: alerts, notifications

Notification management

In the product: Notifications

Resources

Request and response models used by the endpoints on this page.

NotificationResponse

FieldTypeRequiredDescription
acknowledgedAtDateTime
actionUriString
assignmentIdInteger
createdAtDateTime
dataRecordIdInteger
dismissedAtDateTime
idInteger
memberIdInteger
messageString
readAtDateTime
updatedAtDateTime

Example:

{
"id": 0 // Integer,
"message": "string" // String,
"actionUri": "string" // String, optional,
"createdAt": "2024-01-01T00:00:00Z" // DateTime,
"updatedAt": "2024-01-01T00:00:00Z" // DateTime,
"readAt": "2024-01-01T00:00:00Z" // DateTime, optional,
"acknowledgedAt": "2024-01-01T00:00:00Z" // DateTime, optional,
"dismissedAt": "2024-01-01T00:00:00Z" // DateTime, optional,
"assignmentId": 0 // Integer, optional,
"memberId": 0 // Integer,
"dataRecordId": 0 // Integer, optional
}

Endpoints

List

GET /api/v2/w/{workspace_uuid}/notifications

Description:

List all notifications for the authenticated user.

Authentication: Requires workspace member

Parameters:

  • page (Integer) — min: 1
  • pageSize (Integer) — min: 1, max: 100

Response: See PaginatedResponse[NotificationResponse]


Dismiss All

POST /api/v2/w/{workspace_uuid}/notifications/dismiss-all

Description:

Dismiss all notifications for the current member.

Authentication: Requires workspace member


Unread Count

GET /api/v2/w/{workspace_uuid}/notifications/unread-count

Description:

Get the number of unread notifications for the authenticated user.

Authentication: Requires workspace member


Get Notification Id

GET /api/v2/w/{workspace_uuid}/notifications/{notification_id}

Description:

Get a specific notification by ID.

Authentication: Requires workspace member

Parameters:

  • notification_id (Integer)

Response: See NotificationResponse


Dismiss

POST /api/v2/w/{workspace_uuid}/notifications/{notification_id}/dismiss

Description:

Dismiss a notification.

Authentication: Requires workspace member

Parameters:

  • notification_id (Integer)

Response: See NotificationResponse


Read

POST /api/v2/w/{workspace_uuid}/notifications/{notification_id}/read

Description:

Mark a notification as read.

Authentication: Requires workspace member

Parameters:

  • notification_id (Integer)

Response: See NotificationResponse